%define upstream_name    namespace-clean
%define upstream_version 0.26

%{?perl_default_filter}
# namespace::clean::_Util is a private package
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(namespace::clean::_Util\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Keep imports and functions out of your namespace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/namespace/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope) >= 0.120.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Package::Stash) >= 0.230.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

Provides:   perl(namespace::clean)

%description
When you define a function, or import one, into a Perl package, it will
naturally also be available as a method. This does not per se cause
problems, but it can complicate subclassing and, for example, plugin
classes that are included via multiple inheritance by loading them as
base classes.

The 'namespace::clean' pragma will remove all previously declared or
imported symbols at the end of the current package's compile cycle.
Functions called in the package itself will still be bound by their
name, but they won't show up as methods on your class or instances.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.260.0-4.mga6
+ Revision: 1030901
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.260.0-3.mga6
+ Revision: 971341
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.260.0-2.mga6
+ Revision: 891599
- namespace::clean::_Util is a private package
- update to 0.26

* Wed Oct 14 2015 sander85 <sander85> 0.260.0-1.mga6
+ Revision: 891466
- update to 0.26

* Wed Oct 15 2014 umeabot <umeabot> 0.250.0-3.mga5
+ Revision: 742604
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.250.0-2.mga5
+ Revision: 687045
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 0.250.0-1.mga5
+ Revision: 603060
- update to 0.25

* Sat Oct 19 2013 umeabot <umeabot> 0.240.0-3.mga4
+ Revision: 525638
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 takashi <takashi> 0.240.0-2.mga4
+ Revision: 433937
- Update to 0.24

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 375526
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.230.0-1.mga3
+ Revision: 255702
- update to 0.23

* Thu Jan 05 2012 jquelin <jquelin> 0.220.0-1.mga2
+ Revision: 191349
- update to 0.22
- update to 0.21

* Sat Jun 11 2011 spuhler <spuhler> 0.200.0-2.mga2
+ Revision: 103968
- increase rel for rebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 38336
- update to 0.20
- mageia rebuild
- imported package perl-namespace-clean


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-1mdv2011.0
+ Revision: 551923
- adding missing buildrequires:
- update to 0.18

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2010.1
+ Revision: 526462
- update to 0.14

* Mon Jan 18 2010 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.1
+ Revision: 492956
- update to 0.13

* Thu Jan 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.1
+ Revision: 491211
- adding missing buildrequires:
- update to 0.12

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 404047
- rebuild using %%perl_convert_version

* Wed Mar 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.1
+ Revision: 348397
- update to new version 0.11

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2009.1
+ Revision: 343835
- new version

* Thu Dec 04 2008 Jérôme Quelin <jquelin@mandriva.org> 0.09-2mdv2009.1
+ Revision: 309964
- force provides, since it's all lowercase and mandriva's perl extractor
  filters those out

* Thu Oct 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2009.1
+ Revision: 296825
- new version

* Wed Jul 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2009.0
+ Revision: 236343
- import perl-namespace-clean


* Wed Jul 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2009.0
- initial mdv release, generated with cpan2dist
